﻿using System;
using Verse;
using Harmony;
using System.Reflection;
using RimWorld;
using System.Collections.Generic;

namespace RaiderInfo {
    [StaticConstructorOnStartup]
    class Main {
        static Main() {
            var harmony = HarmonyInstance.Create("com.tammybee.raiderinfo");
            harmony.PatchAll(Assembly.GetExecutingAssembly());
        }
    }

    //Verse.AI.Group.Lord SetJob
    [HarmonyPatch(typeof(IncidentWorker_RaidEnemy))]
    [HarmonyPatch("GetLetterText")]
    class Patch_IncidentWorker_RaidEnemy_GetLetterText {
        [HarmonyPostfix]
        static void AppendCountOfRaiders(ref string __result, IncidentParms parms, List<Pawn> pawns) {
            if (parms.faction.def == FactionDefOf.Insect && !RaiderInfoMod.Settings.alertForInsects) {
                return;
            }
            bool isHumanLike = parms.faction != null && parms.faction.leader != null && parms.faction.leader.RaceProps != null && parms.faction.leader.RaceProps.Humanlike;
            string unitOfRaider = isHumanLike ? "RaiderInfo.RaiderLeftUnitOfHuman".Translate() : "RaiderInfo.RaiderLeftUnitOfNonHuman".Translate();

            __result += "\n\n";
            __result += "RaiderInfo.CountOfRaiders".Translate(pawns.Count, unitOfRaider );
        }
    }

    [HarmonyPatch(typeof(Alert))]
    [HarmonyPatch("DrawAt")]
    class Patch_Alert_DrawAt {
        public static bool inDrawAt = false;

        static void Prefix() {
            inDrawAt = true;
        }

        static void Postfix() {
            inDrawAt = false;
        }
    }

    [HarmonyPatch(typeof(CameraJumper))]
    [HarmonyPatch("TryJumpAndSelect")]
    class Patch_CameraJumper_TryJumpAndSelect {
        public static int count = 0;

        static void Prefix() {
            if (Patch_Alert_DrawAt.inDrawAt) {
                count++;
            }
        }
    }

}
