﻿using RimWorld;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;
using Verse;

namespace RaiderInfo {
    public class RaiderInfoMod : Mod {
        public static RaiderInfoSettings Settings {
            get {
                return LoadedModManager.GetMod<RaiderInfoMod>().settings;
            }
        }

        public RaiderInfoSettings settings;

        public RaiderInfoMod(ModContentPack content) : base(content) {
            this.settings = GetSettings<RaiderInfoSettings>();
        }

        public override void DoSettingsWindowContents(Rect inRect) {
            Listing_Standard listing_Standard = new Listing_Standard();
            listing_Standard.ColumnWidth = (float)((inRect.width - 34.0) / 2.0);
            listing_Standard.Begin(inRect);
            listing_Standard.CheckboxLabeled("RaiderInfo.AlertForInsects".Translate(),ref Settings.alertForInsects);
            listing_Standard.End();
        }

        public override string SettingsCategory() {
            return "Raider Info";
        }
    }
}
